# ML KI AI Resource registry

A collection of Links first with short descriptions and later classified in seperate categories

## **Category**: Tool to Use

- **[fabric by Daniel Miessler on GitHub](https://github.com/danielmiessler/fabric)**: An open-source framework for augmenting humans with AI, facilitating the integration of AI into daily tasks and workflows. **User Impact**: Solutionbuilder. **Value**: High for those looking to effectively utilize AI for enhancing productivity and problem-solving.
- **[CrewAI](https://www.crewai.io/)**: Offers a platform for easy creation and management of multi-agent AI systems for automation. **User Impact**: Solutionbuilder **Value**: High, for developing sophisticated automation systems.
- **[crewAI by joaomdmoura on GitHub](https://github.com/joaomdmoura/crewAI)**: A framework for orchestrating autonomous AI agents to work together on complex tasks. **User Impact**: Solutionbuilder. **Value**: High for developers and researchers focused on collaborative AI systems.
- **[GPT4All](https://gpt4all.io/)**: Appears to be an AI-related platform, likely offering tools or resources connected to GPT-4 technology. **User Impact**: Could range from Foundational Understanding to Solutionbuilder. **Value**: Potentially high for individuals interested in AI technology, but specific offerings are unclear without JavaScript enabled.
- **[LM Studio](https://lmstudio.ai/)**: A platform for discovering, downloading, and running local large language models. **User Impact**: Solutionbuilder. **Value**: High for developers and AI enthusiasts seeking hands-on experience with language models.
- **[Code Llama on Hugging Face](https://huggingface.co/codellama)**: A specialized version of Llama 2 designed for coding tasks, offering models that can generate code and help with code-related queries. **User Impact**: Solutionbuilder. **Value**: High for developers looking for AI-assisted coding solutions.
- **[THUDM/humaneval-x on Hugging Face](https://huggingface.co/datasets/THUDM/humaneval-x/viewer/python)**: A dataset for evaluating code generation models with Python coding challenges. **User Impact**: Solutionbuilder, Poweruser. **Value**: High for those working on or evaluating AI-driven code generation technologies.
- **[wishful-search by hrishioa on GitHub](https://github.com/hrishioa/wishful-search)**: An AI-integrated tool for natural language search within complex JSON arrays, designed to simplify data queries. **User Impact**: Solutionbuilder. **Value**: High for developers dealing with complex JSON data.
- **[plock by jasonjmcghee on GitHub](https://github.com/jasonjmcghee/plock)**: A utility for querying and streaming the output of LLMs or scripts from anywhere, aimed at boosting developer productivity. **User Impact**: Solutionbuilder. **Value**: High for those integrating AI into their workflows.
- **[MLX by ml-explore on GitHub](https://github.com/ml-explore/mlx)**: An array framework optimized for Apple silicon, designed to leverage the hardware's capabilities for machine learning and data processing. **User Impact**: Solutionbuilder. **Value**: High for developers targeting Apple ecosystems.
- **[MLflow](https://mlflow.org/)**: A platform for the machine learning lifecycle management **User Impact**: Solutionbuilder. **Value**: High for streamlining ML projects.
- **[Perplexity AI](https://www.perplexity.ai/)**: Likely an AI-powered search and question-answering service designed to offer concise and accurate web-based answers. **User Impact**: Poweruser, Solutionbuilder. **Value**: Potentially high for users seeking efficient information retrieval.
- **[Replit](https://replit.com/)**: An online IDE supporting collaborative coding in multiple languages. **User Impact**: Solutionbuilder, Poweruser. **Value**: High for developers, educators, and learners for ease of coding and collaboration.
- **[langchain-ai/langchain on GitHub](https://github.com/langchain-ai/langchain)**: A project dedicated to creating context-aware reasoning applications, enhancing AI's interaction and understanding. **User Impact**: Solutionbuilder. **Value**: High for developers aiming to advance AI's reasoning capabilities.
- **[jsoncrack.com by AykutSarac on GitHub](https://github.com/AykutSarac/jsoncrack.com)**: Open-source app for visualizing data formats into interactive graphs, enhancing data analysis and understanding. **User Impact**: Solutionbuilder. **Value**: High for developers and data scientists engaged in data analysis.
- **[Jan.ai](https://jan.ai)**: An open-source, offline alternative to ChatGPT that aims to enhance productivity with a customizable AI assistant for your desktop. **User Impact**: Solutionbuilder. **Value**: High for those seeking privacy-focused, customizable AI solutions.

## **Category**: Article to Read

- **[Why I Created Fabric](https://danielmiessler.com/p/fabric-origin-story)**: Daniel Miessler shares the motivation and development behind Fabric, an AI augmentation framework. **User Impact**: Foundational Understanding. **Value**: Insightful for understanding AI's potential in enhancing daily life and work.
- **[How to Fine-Tune LLMs in 2024 with Hugging Face](https://www.philschmid.de/fine-tune-llms-in-2024-with-trl)**: A detailed guide covering the end-to-end process of fine-tuning large language models with Hugging Face's tools. **User Impact**: Solutionbuilder. **Value**: High for developers and AI researchers interested in customizing or enhancing LLMs.
- **[Retrieval Augmented Generation (RAG) | Prompt Engineering Guide](https://www.promptingguide.ai/techniques/rag)**: Explains RAG's methodology for combining information retrieval with text generation to improve language models. **User Impact**: Solutionbuilder. **Value**: High for those enhancing AI applications with external knowledge access.
- **[Semafor](https://www.semafor.com/)**: Likely a news and media platform providing articles, analyses, and commentary on global events. **User Impact**: Foundational Understanding. **Value**: Potentially high for staying informed on current affairs.
- **[How I Use ChatGPT Daily: Scientist/Coder Perspective](https://bartwronski.com/2024/01/22/how-i-use-chatgpt-daily-scientist-coder-perspective/)**: Bart Wronski explains the utility of ChatGPT in his daily life, offering examples that showcase AI's practical benefits. **User Impact**: Poweruser. **Value**: High for those looking to integrate AI into their workflows.
- **[How AI Will 100x Human Creativity and Output](https://danielmiessler.com/p/ai-will-100x-human-creativity-and-output)**: Daniel Miessler explains AI's potential to significantly enhance human creativity and productivity by solving execution challenges. **User Impact**: Poweruser, Solutionbuilder. **Value**: Insightful for understanding AI's transformative impact on creativity and output.

## **Category**: Video

- **[How I Made AI Assistants Do My Work For Me: CrewAI](https://www.youtube.com/watch?v=kJvXT25LkwA)**: A video tutorial on utilizing AI assistants for work automation via CrewAI. **User Impact**: Poweruser, Solutionbuilder  **Value**: High for those interested in practical AI applications for productivity.
- **[You need to learn AI in 2024! (And here is your roadmap)](https://www.youtube.com/watch?v=x1TqLcz_ug0)**: An educational video offering a roadmap for learning AI technologies in 2024. **User Impact**: Foundational Understanding to Poweruser. **Value**: High for beginners or those looking to deepen their AI knowledge.
- **[Economist Tyler Cowen on How ChatGPT Is Changing Your Job](https://www.youtube.com/watch?v=5JZtPE8LU-4)**: A discussion with Tyler Cowen about the transformative effects of ChatGPT and AI on the workforce. **User Impact**: Poweruser. **Value**: Insightful for professionals and anyone interested in the future of work and AI's role in it.
- **[Replace Github Copilot with a Local LLM](https://www.youtube.com/watch?v=F1bXfnrzAxM)**: A tutorial video on configuring a local LLM for coding assistance, offering an alternative to GitHub Copilot. **Category**: Video. **User Impact**: Poweruser, Solutionbuilder. **Value**: High for developers seeking more control over their AI-assisted coding tools

## GitLab Specific

- [https://gitlab.com/gitlab-com/account-management/templates/ai-pov-plan]
- **[Repository X-Ray | GitLab](https://docs.gitlab.com/ee/user/project/repository/code_suggestions/repository_xray.html)**: Documentation on GitLab's Repository X-Ray feature, which enhances code reviews with automatic suggestions and insights. **User Impact**: Solutionbuilder. **Value**: High for developers looking to improve code quality and review efficiency.
